:root {
  --primary-white: #ffffff;
  --secondary-white: #d8d8d8;
  --font-red: #e90000;
  --primary-red: #b00101;
  --border-red: #860000;
  --primary-blue: #2f1cff;
  --border-blue: #0a0074;
  --bright-blue: #1201d1;
  --black: #000000;
}

@font-face {
  font-family: "ronda";
  src: url("https://static.tumblr.com/rmj06l2/kcLlo1q2y/pf_ronda_seven.ttf");
}

@font-face {
  font-family: "pixel";
  src: url("https://dl.dropbox.com/s/kmhe7d3n18vdz5e/w95fa.woff?dl=0");
}
@font-face {
  font-family: "alagard";
  src: url("/static/alagard.ttf");
}

* {
  box-sizing: border-box;
}

body {
  margin: 0;
  padding: 0px;
  background: #141414;
  font-family: "ronda", calibri, verdana, arial;
  font-size: 12px;
  text-align: justify;
  letter-spacing: 1px;
  line-height: 13px;
  background-color: transparent;
}
.bg {
  background-image: url("/static/stars\ bg.gif");
  filter: grayscale(0%) brightness(50%);
  position: fixed;
  height: 100%;
  width: 100%;
  z-index: -1;
  top: 0;
  left: 0;
}
a {
  color: var(--primary-white);
  text-decoration: none;
  transition: 0.2s ease;
}

a:hover {
  color: var(--primary-red);
}

a:active {
  color: #b04544;
}
a.underline {
  text-decoration: underline;
}
.button {
  height: 40px;
}
.button-mini {
  height: 20px !important;
}
h5 {
  margin: 0;
}
p {
  font-size: 15px;
  letter-spacing: 1px;
  font-family: "pixel";
}
b {
  font-weight: bold;
  color: var(--font-red);
}
b.blue {
  color: var(--primary-blue);
}
.red {
  color: var(--font-red);
}
.left {
  text-align: left;
}
/* ::-webkit-scrollbar {
  width: 10px;
}

::-webkit-scrollbar-track {
  background: #1a0000;
}

::-webkit-scrollbar-thumb {
  background: #5c0f0e;
  border-radius: 5px;
  border: 2px solid #1a0000;
}

::-webkit-scrollbar-thumb:hover {
  background: #7f1a19;
} */

@keyframes blueToRedAnimation {
  0% {
    color: var(--primary-red);
  }
  50% {
    color: var(--primary-blue);
  }
  100% {
    color: var(--primary-red);
  }
}
.animated {
  animation-name: blueToRedAnimation;
  animation-duration: 30s;
  animation-iteration-count: infinite;
}

.layout1 {
  max-width: 850px;
  min-height: 680px;
  margin: auto;
  border: thick double var(--border-blue);
  padding: 20px;
  overflow: scroll;
  flex-direction: column;
  align-items: center;

  .main {
    position: relative;
    margin-top: 50px;
    display: grid;
    grid-template-columns: 2fr 1fr;
  }
}
.layout2 {
  width: 850px;
  min-height: 650px;
  margin: auto;
  border: thick double transparent;
  overflow: scroll;
  flex-direction: column;
  align-items: center;

  .main {
    display: grid;
    grid-template-columns: 1fr 2fr;
    margin: 0;
  }
}
.row {
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 10px;
}
.grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 10px;
}
.column {
  color: var(--secondary-white);
  font-size: 18px;
  line-height: 20px;
  font-family: "pixel";
  margin-right: 10px;
}

.title {
  text-transform: lowercase;
  font-family: "ronda", arial;
  font-size: 16px;
  color: #e8807e;
  line-height: 12px;
  margin-bottom: 4px;
  letter-spacing: 2px;
}
.subtitle {
  font-family: "ronda", arial;
  color: var(--bright-blue);
  line-height: 12px;
  margin-bottom: 10px;
  letter-spacing: 2px;
}
.p1 {
  font-family: "pixel";
  letter-spacing: 2px;
  font-size: 12px;
  margin: 0px;
}
.p2 {
  font-family: "pixel";
  letter-spacing: 2px;
  font-size: 14px;
  margin: 0px;
}

.lace {
  max-width: 850px;
  margin: 20px auto;
  background: url("static/catrunfl-ezgif.com-loop-count.gif");
  background-position: center;
  background-color: transparent;
  padding: 20px 25px 0px 0px;
  color: var(--primary-white);
}

.site-name {
  font-family: "alagard", pixel, sans-serif;
  font-size: 36px;
  color: var(--primary-white);
  letter-spacing: 5px;
  text-shadow: -5px 0px 0px var(--primary-red);
  margin-left: 10px;
}

.banner {
  width: 100%;
  height: 130px;
  background: #000000 url(YOUR-BANNER-URL-HERE) center/cover no-repeat;
  display: flex;
  justify-content: center;
  align-items: center;
}
main.frame {
  padding: 20px;
}

.navigation {
  display: flex;
  justify-content: left;
  align-items: center;
  position: absolute;
  z-index: 1;
}

.navi-link {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}
.navi-link a {
  font-size: 14px;
  text-transform: lowercase;
  padding: 10px 15px;
  margin: 0px 10px 10px 0;
  align-items: center;
  color: var(--primary-white);
  white-space: nowrap;
  border: solid var(--border-red);
  background-color: #000;
}

.navi-link a:hover {
  border: double var(--border-red);
  text-shadow: 4px -4px 0px #b04544;
}

footer {
  max-width: 850px;
  background-color: transparent;
  color: var(--primary-white);
  text-align: center;
  margin: auto;
  margin-top: 30px;
}

.credits {
  text-align: center;
  font-family: ronda, sans-serif;
  font-size: 9px;
  color: #e8807e;
  margin: 10px 0 20px;
  opacity: 0.8;
  letter-spacing: 1px;
}

/* guestbook */
#wrap {
  width: 300px;
  padding: 0;
  z-index: 0;
}
#frame {
  width: 300px;
  height: 550px;
  border: none;
  padding: 0;
  filter: brightness(75%);
  -moz-transform: scale(1);
  -moz-transform-origin: 0 0;
}

/* music page */
.item-cont {
  height: 300px;
  border: 2px solid var(--border-red);
  border-right: none;
  padding: 20px 40px;
  overflow: scroll;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.item {
  list-style-type: none;
  border: 1px solid var(--border-red);
  margin-bottom: 10px;
  background-color: var(--border-blue);
  padding: 5px 10px;
  font-size: 14px;
  width: 200px;
  text-align: center;
  letter-spacing: 2px;
}
.item:hover {
  background-color: var(--bright-blue);
}
.column.music {
  margin: 0;
  text-align: center;
}
.column.player {
  text-align: center;
  min-width: 300px;
  overflow: hidden;
}

iframe.musicframe {
  height: 680px;
  min-width: 100%;
  border: 3px solid var(--border-red);
}
.mobile-disc {
  /*mobile-disclaimer */
  display: none;
}

/* mobile */
@media (max-width: 480px) {
  .layout1 {
    margin: 20px auto;
    overflow: scroll;
    .main {
      position: relative;
      margin-top: 0px;
      display: block;
    }
  }
  .site-name {
    font-size: 24px;
  }

  .navigation {
    bottom: 10px;
    left: 0px;
    width: 100%;
    justify-content: center;
    position: fixed;
  }
  .navi-link {
    flex-direction: row;
    width: 100%;
  }
  .navi-link a {
    margin: 0;
  }
  footer {
    z-index: 0;
    position: relative;
  }

  main.frame {
    zoom: 80%;
    overflow-x: hidden;
    padding: 0;
  }
  iframe.musicframe {
    height: 570px;
  }
  .mobile-disc {
    display: block;
    font-size: 12px;
    color: var(--secondary-white);
  }
}
